Supported Interpreters

Thanks to many Zeppelin contributors, we can provide much more interpreters in every release. Please check the below table before you download Zeppelin package.

Note : Only Spark interpreter is included in the netinst binary package by default. If you want to use the other interpreters, you need to install them using net-install script.


Zeppelin 0.7.0 0.6.2 - 0.6.1 0.6.0 0.5.6
Spark
1.4.x, 1.5.x, 1.6.x, 2.0.x 2.1.0 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, 2.0.0 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x
Support Scala 2.11 SparkR is available
JDBC
PostgreSQL, MySQL, MariaDB, Redshift,
Hive, Phoenix, Drill, Tajo are available
PostgreSQL, MySQL, MariaDB, Redshift,
Hive, Phoenix, Drill, Tajo are available
PostgreSQL, MySQL, MariaDB, Redshift,
Hive, Phoenix, Drill, Tajo are available
N/A
Pig
O N/A N/A N/A
Beam
O N/A N/A N/A
Scio
O N/A N/A N/A
BigQuery
O O N/A N/A
Python
O O O N/A
Livy
O O O N/A
HDFS
O O O N/A
Alluxio
O O O N/A
Hbase
O O O N/A
Scalding
O O O O
Elasticsearch
O O O O
Angular
O O O O
Markdown
O O O O
Shell
O O O O
Flink
O O O O
Hive
Merged into JDBC interpreter Merged into JDBC interpreter Merged into JDBC interpreter O
Tajo
Merged into JDBC interpreter Merged into JDBC interpreter Merged into JDBC interpreter O
Cassandra
O O O O
Geode
O O O O
Ignite
1.7.0 1.7.0 1.6.0 1.5.0.final
Kylin
O O O O
Lens
O O O O
Phoenix
Merged into JDBC interpreter Merged into JDBC interpreter Merged into JDBC interpreter O
PostgreSQL
O O O O